package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class WavesGroupQueryDTO {

    @ApiModelProperty(value = "当前页码")
    private Integer pageSize;

    @ApiModelProperty(value = "每页数量")
    private Integer pageNum;

    @ApiModelProperty(value = "波次ID",required = true)
    private String wavesId;

//    @ApiModelProperty(value = "分组条件（按客户/按路线）")
//    private String groupCondtion;

    @ApiModelProperty(value = "订单类型(销售/返厂/移仓)")
    private String billType;

//    @ApiModelProperty(value = "订单结构（2B/2C）")
//    private String billStruct;

    @ApiModelProperty(value = "货主ID")
    private String consignorid;

    @ApiModelProperty(value = "出库仓库ID")
    private String branchid;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "开始日期")
    private Date startDate;

    @ApiModelProperty(value = "结束日期")
    private Date endDate;

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public String getWavesId() {
        return wavesId;
    }

    public void setWavesId(String wavesId) {
        this.wavesId = wavesId;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getConsignorid() {
        return consignorid;
    }

    public void setConsignorid(String consignorid) {
        this.consignorid = consignorid;
    }

    public String getBranchid() {
        return branchid;
    }

    public void setBranchid(String branchid) {
        this.branchid = branchid;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
